Benutzerhandbuch
Version 1.9 — Rev. 3

# Server - Allgemein

Allgemeine Einstellungen fuer den gesamten Server. Wenn eine Einstellung Pfadinformationen erfordert, kann der Pfad absolut oder relativ zu $SERVER_ROOT sein. $SERVER_ROOT ist der Ort, an dem der LiteSpeed-Webserver installiert wurde (zum Beispiel your_home_dir/lsws oder /opt/lsws). Die Serverprogrammdatei befindet sich unter $SERVER_ROOT/bin.

### Servername

#### Beschreibung

Ein eindeutiger Name fuer diesen Server. Wenn leer, wird standardmaessig der Hostname des Servers verwendet.

### Anzahl der Worker

#### Beschreibung

Gibt die Anzahl der httpd-Worker an.

#### Syntax

Ganzzahl zwischen 1 und 16.

#### Tipps

Performance Setzen Sie eine passende Zahl fuer Ihre Anforderungen. Mehr Worker bedeuten nicht unbedingt bessere Leistung.

### Ausfuehren als

#### Beschreibung

Gibt den Benutzer/die Gruppe an, unter dem/der der Serverprozess laeuft. Dies wird mit den Parametern "--with-user" und "--with-group" beim Ausfuehren des configure-Befehls vor der Installation gesetzt. Um diese Werte zurueckzusetzen, muessen Sie configure erneut ausfuehren und neu installieren.

#### Anwenden

Neuinstallation erforderlich.

#### Tipps

Security Der Server sollte nicht als privilegierter Benutzer wie "root" laufen. Es ist wichtig, dass der Server mit einer nicht privilegierten Benutzer-/Gruppenkombination ausgefuehrt wird, die keinen Login-/Shell-Zugriff hat. Ein Benutzer/eine Gruppe nobody ist im Allgemeinen eine gute Wahl.

### Prioritaet

#### Beschreibung

Gibt die Prioritaet der Serverprozesse an. Der Wertebereich reicht von -20 bis 20. Eine niedrigere Zahl bedeutet hoehere Prioritaet.

#### Syntax

Ganzzahl

#### Tipps

Performance Normalerweise fuehrt eine hoehere Prioritaet auf einem stark ausgelasteten Server zu etwas besserer Webleistung. Setzen Sie die Prioritaet nicht hoeher als die von Datenbankprozessen.

#### Siehe auch

External App Prioritaet, CGI-Priorität

### CPU-Affinitaet

#### Beschreibung

CPU-Affinitaet bindet einen Prozess an eine oder mehrere CPUs (Kerne). Es ist vorteilhaft, wenn ein Prozess immer dieselbe CPU nutzt, da er dann im CPU-Cache verbliebene Daten verwenden kann. Wenn der Prozess auf eine andere CPU wechselt, wird der CPU-Cache nicht genutzt und unnoetiger Overhead entsteht.
Die Einstellung CPU-Affinitaet steuert, mit wie vielen CPUs (Kernen) ein Serverprozess verknuepft wird. Der Mindestwert ist 0, wodurch diese Funktion deaktiviert wird. Der Hoechstwert ist die Anzahl der Kerne des Servers. Im Allgemeinen ist 1 die beste Einstellung, da sie die strengste CPU-Affinitaet erzeugt und so den CPU-Cache am besten nutzt.
Standardwert: 0

#### Syntax

Ganzzahl von 0 bis 64. (0 deaktiviert diese Funktion)

#### Anwenden

Neuinstallation erforderlich.

### CloudLinux

#### Beschreibung

Gibt an, ob CloudLinux Lightweight Virtual Environment (LVE) aktiviert werden soll, wenn es vorhanden ist. Sie koennen LiteSpeed mit LVE verwenden, um eine bessere Ressourcenverwaltung zu erreichen. Weitere Informationen finden Sie unter http://www.cloudlinux.com.

#### Syntax

Aus Dropdown-Liste auswählen

### Speicher-E/A-Puffergroesse

#### Beschreibung

Gibt die maximale Puffergroesse an, die zum Speichern des Request-Bodys und der dynamisch erzeugten Antwort verwendet wird. Wenn diese Grenze erreicht ist, beginnt der Server, temporaere Swapping-Dateien unter Swapping-Verzeichnis zu erstellen.

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie die Puffergroesse gross genug, um alle gleichzeitigen Anfragen/Antworten aufzunehmen und Swapping von Speicher auf Festplatte zu vermeiden. Wenn im Swap-Verzeichnis, standardmaessig /tmp/lshttpd/swap/, haeufige E/A-Aktivitaet auftritt, ist diese Puffergroesse zu niedrig und LiteSpeed swappt auf die Festplatte.

#### Siehe auch

Swapping-Verzeichnis

### Swapping-Verzeichnis

#### Beschreibung

Gibt das Verzeichnis an, in dem die Swapping-Dateien abgelegt werden sollen. Wenn der Server im chroot-Modus gestartet wird, ist dieses Verzeichnis relativ zum neuen Wurzelverzeichnis, andernfalls relativ zum realen Wurzelverzeichnis.
Der Server verwendet seinen eigenen virtuellen Speicher, um die Nutzung des Systemspeichers zu reduzieren. Virtueller Speicher und Disk-Swapping werden verwendet, um grosse Request-Bodys und dynamisch generierte Antworten zu speichern. Das Swapping-Verzeichnis sollte auf einer Festplatte mit ausreichend Platz liegen.
Standardwert: /tmp/lshttpd/swap

#### Syntax

Absoluter Pfad

#### Tipps

Performance Legen Sie das Swapping-Verzeichnis auf eine separate Festplatte oder erhoehen Sie die Speicher-E/A-Puffergroesse, um Swapping zu vermeiden.

#### Siehe auch

Speicher-E/A-Puffergroesse

### 503-Fehler automatisch beheben

#### Beschreibung

Gibt an, ob versucht werden soll, den Fehler "503 Service Unavailable" durch einen graceful Neustart des Servers zu beheben. Ein "503"-Fehler wird normalerweise durch fehlerhafte externe Anwendungen verursacht, und ein Neustart des Webservers kann den Fehler oft voruebergehend beheben. Wenn aktiviert, startet der Server automatisch neu, wenn innerhalb von 30 Sekunden mehr als 30 "503"-Fehler auftreten.
Standardwert: No

#### Syntax

Aus Optionsfeldern auswählen

### HTTP/2 ueber unverschluesseltes TCP aktivieren

#### Beschreibung

Gibt an, ob HTTP/2 ueber nicht verschluesselte TCP-Verbindungen aktiviert werden soll. Standardmaessig deaktiviert.

#### Syntax

Aus Optionsfeldern auswählen

### Graceful-Restart-Timeout (Sek.)

#### Beschreibung

Waehrend eines graceful restart verarbeitet die alte Instanz auch nach dem Start der neuen Serverinstanz weiterhin vorhandene Anfragen. Dieses Timeout legt fest, wie lange die vorherige Instanz vor dem Beenden warten soll. Standardwert ist 300 Sekunden. -1 bedeutet unbegrenzt warten. 0 bedeutet nicht warten und sofort abbrechen.

#### Syntax

Ganzzahl

### Ausgabeverzeichnis fuer Statistiken

#### Beschreibung

Das Verzeichnis, in das die Real-Time Stats-Berichtsdatei geschrieben wird. Das Standardverzeichnis ist /tmp/lshttpd/ .

#### Syntax

Absoluter Pfad

#### Tipps

Information Waehrend des Serverbetriebs wird die .rtreport-Datei jede Sekunde geschrieben. Um unnoetige Schreibzugriffe zu vermeiden, setzen Sie dies auf eine RAM Disk.
Die .rtreport-Datei kann mit Monitoringsoftware von Drittanbietern verwendet werden, um den Serverzustand zu verfolgen.

### JSON-Berichte ausgeben

#### Beschreibung

Gibt zusaetzliche JSON-formatierte Berichtsdateien mit der Erweiterung .json im Verzeichnis /tmp/lshttpd aus.
Standardwert: No

#### Syntax

Aus Optionsfeldern auswählen

#### Beispiel

Wenn auf Yes gesetzt, werden zusaetzlich zu den ueblichen .status- und .rtreport-, .rtreport.2- usw. Berichtsdateien auch .status.json und .rtreport.json, .rtreport.2.json usw. erstellt.

#### Tipps

Information Dies ist nuetzlich fuer Anwendungsentwickler, die LiteSpeed-Status- und Echtzeitberichte mit Standard-JSON-Verarbeitungswerkzeugen, die in den meisten Programmiersprachen integriert sind, in ihre Anwendungen einbinden moechten.

### MIME-Einstellungen

#### Beschreibung

Gibt die Datei an, die die MIME-Einstellungen fuer diesen Server enthaelt. Im chroot-Modus ist sie bei Angabe eines absoluten Pfads immer relativ zur realen Wurzel. Klicken Sie auf den Dateinamen, um die detaillierten MIME-Eintraege anzuzeigen/zu bearbeiten.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

#### Tipps

Information Klicken Sie auf den Dateinamen, um die MIME-Einstellungen zu bearbeiten.

### Suffixe

#### Beschreibung

Sie koennen mehrere Suffixe fuer denselben MIME-Typ auflisten, getrennt durch Kommas.

### MIME-Typ

#### Beschreibung

Ein MIME-Typ besteht aus Typ und Subtyp im Format "type/subtype".

### Anfaengliche Logrotation deaktivieren

#### Beschreibung

Gibt an, ob die Rotation der Server-Fehlerprotokolldatei beim Start aktiviert/deaktiviert werden soll. Die anfaengliche Logrotation ist standardmaessig aktiviert, wenn der Wert "Not Set" verwendet wird.

#### Syntax

Aus Optionsfeldern auswählen

### Serversignatur

#### Beschreibung

Gibt an, ob Serversignatur und Versionsnummer im Wert "Server" des Antwort-Headers angezeigt werden sollen. Es gibt drei Optionen: Bei Hide Version wird nur LiteSpeed angezeigt. Bei Show Version werden LiteSpeed und die Versionsnummer angezeigt. Bei Hide Full Header wird der gesamte Server-Header nicht im Antwort-Header angezeigt.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Security Setzen Sie dies auf Hide Version, wenn Sie die Serverversionsnummer nicht offenlegen moechten.

### GeoLocation-Suche aktivieren

#### Beschreibung

Gibt an, ob die IP-Geolocation-Suche aktiviert/deaktiviert werden soll. Kann auf Server-, Virtual-Host- oder Kontextebene gesetzt werden. IP Geolocation ist standardmaessig deaktiviert, wenn der Wert "Not Set" verwendet wird.

#### Syntax

Aus Optionsfeldern auswählen

#### Siehe auch

Client-IP im Header verwenden, DB-Dateipfad,

### Client-IP im Header verwenden

#### Beschreibung

Gibt an, ob die erste gueltigste IP-Adresse im HTTP-Anfrage-Header "X-Forwarded-For" fuer alle IP-adressbezogenen Funktionen verwendet werden soll, einschliesslich Verbindungs-/Bandbreitendrosselung, Zugriffskontrolle und IP-Geolocation.
Diese Funktion ist nuetzlich, wenn Ihr Webserver hinter einem Load Balancer oder Proxyserver steht. Wenn Sie Trusted IP Only auswaehlen, wird die X-Forwarded-For-IP nur verwendet, wenn die Anfrage von vertrauenswuerdigen IPs kommt, die in Erlaubte Liste auf Serverebene definiert sind.
Keep Header from Trusted IP entspricht Trusted IP Only, aber der fuer das Backend verwendete X-Forwarded-For-Header wird nicht geaendert, um die Adresse des verbindenden Peers aufzunehmen.
Use Last IP (for AWS ELB) verwendet die letzte IP-Adresse in der "X-Forwarded-For"-Liste. Waehlen Sie diese Option, wenn Sie AWS Elastic Load Balancer verwenden oder erwarten, dass die echte IP am Ende der "X-Forwarded-For"-Liste angehaengt wird.

#### Syntax

Aus Dropdown-Liste auswählen

### Administrator-E-Mail

#### Beschreibung

Gibt die E-Mail-Adresse(n) des Serveradministrators an. Falls angegeben, werden Administratoren per E-Mail ueber wichtige Ereignisse benachrichtigt, zum Beispiel wenn der LiteSpeed-Dienst wegen Absturzerkennung automatisch neu gestartet wird oder wenn die Lizenz ablaeuft.

#### Syntax

Kommagetrennte Liste von E-Mail-Adressen.

#### Tipps

Information Die E-Mail-Warnfunktion funktioniert nur, wenn der Server einen aktiven MX-Server wie postfix, exim oder sendmail hat.

### Indexdateien

#### Beschreibung

Gibt die Namen von Indexdateien an, die nacheinander gesucht werden, wenn eine URL einem Verzeichnis zugeordnet wird. Sie koennen dies auf Server-, Virtual-Host- und Kontextebene anpassen.

#### Syntax

Kommagetrennte Liste von Indexdateinamen.

#### Tipps

Performance Legen Sie nur die Indexdateien fest, die Sie benoetigen.

### Automatischer Index

#### Beschreibung

Gibt an, ob ein Verzeichnisindex dynamisch erzeugt wird, wenn die in Indexdateien aufgeführten Indexdateien in einem Verzeichnis nicht verfügbar sind. Diese Option kann auf Virtual-Host- und Kontextebene angepasst werden und wird entlang des Verzeichnisbaums vererbt, bis sie ausdrücklich überschrieben wird. Sie können die erzeugte Indexseite anpassen. Lesen Sie dazu die Online-Wiki-How-tos.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Security Es wird empfohlen, den automatischen Index nach Möglichkeit zu deaktivieren, um die Offenlegung vertraulicher Daten zu verhindern.

#### Siehe auch

Indexdateien, URI für automatischen Index

### URI für automatischen Index

#### Beschreibung

Gibt die URI an, die zum Erzeugen der Indexseite verwendet wird, wenn die in Indexdateien aufgeführten Indexdateien in einem Verzeichnis nicht verfügbar sind. LiteSpeed web server verwendet ein externes Skript zur Erzeugung der Indexseite und bietet dadurch maximale Anpassungsflexibilität. Das Standardskript erzeugt eine Indexseite mit demselben Aussehen wie bei Apache. Informationen zum Anpassen der erzeugten Indexseite finden Sie in den Online-Wiki-How-tos. Das zu indexierende Verzeichnis wird dem Skript über die Umgebungsvariable "LS_AI_PATH" übergeben.

#### Syntax

URI

#### Siehe auch

Indexdateien, Automatischer Index

### Expires aktivieren

#### Beschreibung

Gibt an, ob fuer statische Dateien ein Expires-Header erzeugt werden soll. Wenn aktiviert, wird ein Expires-Header basierend auf Expires-Standard und Expires nach Typ erzeugt.
Dies kann auf Server-, Virtual-Host- und Kontextebene gesetzt werden. Einstellungen niedrigerer Ebenen ueberschreiben hoehere Ebenen, d. h. Kontexteinstellungen ueberschreiben Virtual-Host-Einstellungen und Virtual-Host-Einstellungen ueberschreiben Servereinstellungen.

#### Syntax

Aus Optionsfeldern auswählen

### Expires-Standard

#### Beschreibung

Gibt Standardeinstellungen fuer die Erzeugung des Expires-Headers an. Diese Einstellung wird wirksam, wenn Expires aktivieren auf "Yes" gesetzt ist. Sie kann durch Expires nach Typ ueberschrieben werden. Setzen Sie diesen Standardwert nicht auf Server- oder Virtual-Host-Ebene, sofern es nicht noetig ist, da er Expires-Header fuer alle Seiten erzeugt. Meist sollte dies auf Kontextebene fuer bestimmte Verzeichnisse gesetzt werden, die sich nicht haeufig aendern. Gibt es keine Standardeinstellung, wird fuer nicht in Expires nach Typ angegebene Typen kein Expires-Header erzeugt.

#### Syntax

A|Mseconds
Die Datei laeuft nach Basiszeit (A|M) plus angegebenen Sekunden ab. Basiszeit "A" setzt den Wert auf die Zugriffszeit des Clients und "M" auf die letzte Aenderungszeit der Datei.

### Expires nach Typ

#### Beschreibung

Gibt Expires-Header-Einstellungen fuer einzelne MIME-Typen an.

#### Syntax

Kommagetrennte Liste von "MIME-type=A|Mseconds". Die Datei laeuft nach Basiszeit (A|M) plus angegebenen Sekunden ab.
Basiszeit "A" setzt den Wert auf die Zugriffszeit des Clients und "M" auf die letzte Aenderungszeit der Datei. MIME-type akzeptiert den Platzhalter "*", zum Beispiel image/*.

### Automatisch aus .htaccess laden

#### Beschreibung

Laedt Rewrite-Regeln aus der .htaccess-Datei eines Verzeichnisses automatisch beim ersten Zugriff auf dieses Verzeichnis, wenn fuer dieses Verzeichnis noch kein HttpContext mit der Direktive rewritefile existiert. Nach dem ersten Laden muss ein graceful restart ausgefuehrt werden, damit weitere Aenderungen an dieser .htaccess-Datei wirksam werden.
Die Einstellung auf Virtual-Host-Ebene ueberschreibt die Einstellung auf Serverebene. Standardwerte:
Serverebene: No
VH-Ebene: Servereinstellung erben

#### Syntax

Aus Optionsfeldern auswählen

### Datei-Upload

#### Beschreibung

Stellt zusaetzliche Sicherheitsfunktionen beim Hochladen von Dateien bereit, indem ein Request Body Parser Dateien in ein lokales Serververzeichnis parst, wo sie leicht von Drittanbieter-Modulen auf boesartige Absicht gescannt werden koennen. Request Body Parser wird verwendet, wenn Upload-Daten per Dateipfad uebergeben aktiviert ist oder ein Modul LSIAPIs set_parse_req_body auf der Ebene LSI_HKPT_HTTP_BEGIN aufruft. API-Beispiele werden im Quellpaket bereitgestellt.

#### Siehe auch

Priorität Hook::HTTP_BEGIN

### Pfad für temporäre Dateien

#### Beschreibung

Temporäres Verzeichnis, in dem Dateien gespeichert werden, die zum Server hochgeladen werden, während der Parser des Anforderungstextes arbeitet. Der Standardwert ist /tmp/lshttpd/.

#### Syntax

Absoluter Pfad oder Pfad, der mit $SERVER_ROOT beginnt (für Server- und VHost-Ebenen), oder $VH_ROOT (für VHost-Ebenen).

### Berechtigung temporärer Dateien

#### Beschreibung

Bestimmt die Dateiberechtigungen für Dateien, die im temporären Verzeichnis gespeichert werden. Die Einstellung auf Serverebene ist global und kann auf VHost-Ebene überschrieben werden.

#### Syntax

Dreistellige Oktalzahl. Der Standardwert ist 666.

### Upload-Daten per Dateipfad uebergeben

#### Beschreibung

Gibt an, ob Upload-Dateidaten per Pfad uebergeben werden sollen. Wenn aktiviert, wird beim Upload der Dateipfad zusammen mit weiteren Informationen an den Backend-Handler gesendet, statt der Datei selbst. Dies spart CPU-Ressourcen und Dateiuebertragungszeit, erfordert aber Backend-Aktualisierungen zur Implementierung. Wenn deaktiviert, wird der Dateiinhalt an den Backend-Handler uebertragen; der Request-Body wird weiterhin in Dateien geparst.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Performance Aktivieren Sie dies, um die Verarbeitung von Datei-Uploads zu beschleunigen, wenn Abwaertskompatibilitaet kein Problem ist.

### MaxMind GeoIP-Datenbank

#### Beschreibung

Hier koennen mehrere MaxMind-Geolocation-Datenbanken angegeben werden. MaxMind hat folgende DB-Typen: Country, Region, City, Organization, ISP und Netspeed. Wenn mehrere Datenbanken der Typen "Country", "Region" und "City" konfiguriert sind, ist die letzte Konfiguration wirksam.

### DB-Dateipfad

#### Beschreibung

Gibt den Pfad zur MaxMind GeoIP-Datenbank an.

#### Syntax

Absoluter Pfad

#### Beispiel

/usr/local/share/GeoIP/GeoLite2-Country.mmdb

### DB-Name

#### Beschreibung

Name der MaxMind GeoIP-Datenbank. Seit GeoIP2 ist diese Einstellung erforderlich.
Beim Upgrade von GeoIP auf GeoIP2 fuellt die Verwendung der Werte "COUNTRY_DB", "CITY_DB" oder "ASN_DB" fuer diese Einstellung automatisch die PHP-Variable $_SERVER mit einigen GeoIP-kompatiblen Eintraegen (unten nach DB Name-Wert aufgelistet), um diesen Uebergang zu erleichtern.
CITY_DB: 'GEOIP_COUNTRY_CODE', 'GEOIP_COUNTRY_NAME', 'GEOIP_CONTINENT_CODE', 'GEOIP_COUNTRY_CONTINENT', 'GEOIP_DMA_CODE', 'GEOIP_METRO_CODE', 'GEOIP_LATITUDE', 'GEOIP_LONGITUDE', 'GEOIP_POSTAL_CODE' und 'GEOIP_CITY'.
COUNTRY_DB: 'GEOIP_COUNTRY_CODE', 'GEOIP_COUNTRY_NAME', 'GEOIP_CONTINENT_CODE' und 'GEOIP_COUNTRY_CONTINENT'.
ASN_DB: 'GEOIP_ORGANIZATION' und 'GEOIP_ISP'.

#### Beispiel

COUNTRY_DB

### Umgebungsvariablen

#### Beschreibung

Weist die Ergebnisse von Datenbankabfragen Umgebungsvariablen zu.

#### Syntax

Variable_Name mapped_DB_data
Ein Eintrag pro Zeile. Der Pfad zu Daten kann Map-Schluessel oder 0-basierte Array-Indizes verwenden, beide durch / getrennt.

#### Beispiel

COUNTRY_CODE COUNTRY_DB/country/iso_code
REGION_CODE CITY_DB/subdivisions/0/iso_code

### IP2Location-DB-Dateipfad

#### Beschreibung

Der Speicherort einer gueltigen Datenbankdatei.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

### DB-Cache-Typ

#### Beschreibung

Die verwendete Caching-Methode. Der Standardwert ist Memory.

#### Syntax

Aus Dropdown-Liste auswählen